import { jsxs as t, jsx as o } from "react/jsx-runtime";
import "react";
import { Modal as l } from "./index-Modal.js";
import { ModalBody as n } from "./index-ModalBody.js";
import { ModalFooter as i } from "./index-ModalFooter.js";
import { ModalHeader as m } from "./index-ModalHeader.js";
const f = (r) => {
  const {
    item: e
  } = r;
  return t(l, {
    children: [o(m, {
      children: o("h3", {
        children: "Info on what we need to implement"
      })
    }), o(n, {
      children: o("pre", {
        children: e ? JSON.stringify(e, null, 2) : "No data"
      })
    }), o(i, {
      children: o("button", {
        onClick: r.close,
        className: "btn btn-primary",
        children: "Close Modal"
      })
    })]
  });
};
export {
  f as ImplementDetailsModal
};
